QuickHashIntHash::set
QuickHashStringIntHash
QuickHashIntHash
PHP Manual

# QuickHashIntHash::update

(PECL quickhash >= Unknown)

QuickHashIntHash::update — This method updates an entry in the hash with a new value

### Beschreibung

public bool QuickHashIntHash::update ( int `$key` , int `$value` )

This method updates an entry with a new value, and returns whether the entry was update. If there are duplicate keys, only the first found element will get an updated value. Use QuickHashIntHash::CHECK_FOR_DUPES during hash creation to prevent duplicate keys from being part of the hash.

### Parameter-Liste

`key`

  The key of the entry to add.

`value`

  The new value to update the entry with.

### Rückgabewerte

`TRUE` when the entry was found and updated, and `FALSE` if the entry was not part of the hash already.

### Beispiele

Beispiel #1 QuickHashIntHash::update() example

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->add( 141421, 173205 ) );
var_dump( $hash->update( 141421, 223606 ) );
var_dump( $hash->get( 141421 ) );
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    bool(true)
    bool(true)
    int(223606)

QuickHashIntHash::set
QuickHashStringIntHash
QuickHashIntHash
PHP Manual